View Issue Details

IDProjectCategoryView StatusLast Update
0001770NoesisGUIUnity3Dpublic2020-08-27 12:59
ReporterJinFoxAssigned Tojsantos 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.3 
Target Version3.0.5Fixed in Version 
Summary0001770: PowerVR GPU issues with fragment shader on Android
DescriptionHello,

We are experiencing an issue on some Android device where Noesis Fragment Shader isn't found:

[noesis] Link failed
Link Error: Fragment shader was not succes

Devices who have the issue have all PowerVR GPU and it seems to be the common factor. For example:
vivo y83 pro
Vivo y81
oppo a5s
leagoo m12

Can you please have a look.
Thank you very much


TagsNo tags attached.
PlatformAny

Activities

jsantos

jsantos

2020-08-19 18:33

manager   ~0006585

Last edited: 2020-08-20 00:18

View 2 revisions

Hi!

I wanted to verify that the patch was correct so we ordered a device a few weeks ago and it arrived today. But unfortunately I am not able to crash Noesis on this mobile (a LG K40S with PowerVR GE8320). I wonder if you could give me access to the APK of your game for testing.

(If you attach it here, make sure to mark the answer as private).

jsantos

jsantos

2020-08-19 18:34

manager   ~0006586

Just for the record, this is the device info
08-19 18:30:05.084 12943 12963 D Noesis  : Creating GL render context
08-19 18:30:05.094 12943 12963 D Noesis  :  EGL Version: 1.4 Android META-EGL
08-19 18:30:05.095 12943 12963 D Noesis  :  PixelFormat: C24A8 D24S8 1x
08-19 18:30:05.112 12943 12963 D Noesis  :  Version:  3.2 (OpenGL ES 3.2 build 1.10@5130912)
08-19 18:30:05.112 12943 12963 D Noesis  :  Vendor:   Imagination Technologies
08-19 18:30:05.112 12943 12963 D Noesis  :  Renderer: PowerVR Rogue GE8320
JinFox

JinFox

2020-08-20 11:26

reporter   ~0006587

Hello Jesus,

I have sent you requested APK through email as you requested.

Best regards
jsantos

jsantos

2020-08-27 12:59

manager   ~0006595

Although I was not able to verify this crash in our new device, I verified our shaders against all offline shader compilers available (PowerVR, Mali...) and found two potential issues. I also improved the information reported when a shader is not compiling.

For now, I am going to mark this as solved, please reopen it again if the problem persists.

Issue History

Date Modified Username Field Change
2020-08-04 15:22 JinFox New Issue
2020-08-04 17:52 jsantos Assigned To => jsantos
2020-08-04 17:52 jsantos Status new => assigned
2020-08-04 17:52 jsantos Target Version => 3.0.5
2020-08-19 18:33 jsantos Note Added: 0006585
2020-08-19 18:33 jsantos Status assigned => feedback
2020-08-19 18:34 jsantos Note Added: 0006586
2020-08-20 00:18 jsantos Note Edited: 0006585 View Revisions
2020-08-20 11:26 JinFox Note Added: 0006587
2020-08-20 11:26 JinFox Status feedback => assigned
2020-08-27 12:59 jsantos Note Added: 0006595
2020-08-27 12:59 jsantos Status assigned => resolved
2020-08-27 12:59 jsantos Resolution open => fixed